{
  pkgs ? import <nixpkgs> {},
  mkShell,
  stylish-haskell,
}:
with pkgs;
  mkShell {
    buildInputs = [
      alejandra # The Uncompromising Nix Code Formatter
      haskell.compiler.ghc910 # The Glasgow Haskell Compiler
      haskellPackages.hakyll # A static website compiler library
      nix # Powerful package manager, makes packaging reliable & reproducible
      stylish-haskell # A simple Haskell code prettifier
      tea # Gitea official CLI client
      treefmt # one CLI to format the code tree
      zlib # Lossless data-compression library
    ];
  }
